Maven with bad library version

Highlighted
Four Stars

Maven with bad library version

Hello,

 A while ago I created a set of javajet components for Talend (version 4).

These components have a dependency on VDocTalend.jar

We packaged the components as a ZIP with the required jar and installation instructions :

  • put all tVDodXXX into plugins/org.talend.designer.components.localprovider_ folder
  • add jar into CLASSPATH

 

This was all fine, but a few days ago, one of my client got an error with the VDocTalend.jar. This client uses Talend 6.4 Pro. In this version, Talend try to download maven artifacts from your repository : https://talend-update.talend.com/nexus/content/repositories/libraries/.

We investigated and found a bug in the VDocTalend.jar downloaded by Talend on the client's instance. This bug was fixed in our last version of this jar (from 2011) and the jar is since unmodified.

 

TOS_DI-win-x86_64_2018-11-05_15-07-39.png

 

I don't understand the artifact you have (version 6.0.0 is unknown from our side, our last version is 1.0.3). But more importantly, i would like to correct this situation.  

 

Could you delete the VDocTalend/6.0.0-SNAPSHOT.jar ?

Or

Could you tell me how to deploy the correct release ?

 

I'm looking forward to your answer and i'm sure we will be able to solve this issue. 

Best regards, 

 

Florent Amaridon

 

Highlighted
Four Stars

Re: Maven with bad library version

up

2019 GARTNER MAGIC QUADRANT FOR DATA INTEGRATION TOOL

Talend named a Leader.

Get your copy

OPEN STUDIO FOR DATA INTEGRATION

Kickstart your first data integration and ETL projects.

Download now

6 Ways to Start Utilizing Machine Learning with Amazon We Services and Talend

Look at6 ways to start utilizing Machine Learning with Amazon We Services and Talend

Blog

Downloads and Trials

Test drive Talend's enterprise products.

Downloads